<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xsi:schemaLocation="http://www.springframework.org/schema/beans
			http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

	<bean id="testBean" class="com.collection.CollectionBean">
		<property name="stringListVariable">
			<list>
				<value>A Simple</value>
				<value>List</value>
				<value>Of</value>
				<value>String</value>
			</list>
		</property>
		<property name="listVariable">
			<list>
				<value>1</value>
				<value>List of Objects</value>
				<ref bean="amount" />
				<bean class="com.collection.Amount">
					<property name="bill">
						<value>45.9</value>
					</property>
				</bean>
			</list>
		</property>
		<property name="setVariable">
			<set>
				<value>2</value>
				<value>Set of Objects</value>
				<ref bean="amount" />
				<bean class="com.collection.Amount">
					<property name="bill">
						<value>09.5</value>
					</property>
				</bean>
			</set>
		</property>
		<property name="mapVariable">
			<map>
				<entry key="a" value="3" />
				<entry key="b" value="Map of Objects" />
				<entry key="c" value-ref="amount" />
				<entry key="d">
					<bean class="com.collection.Amount">
						<property name="bill">
							<value>76.5</value>
						</property>
					</bean>
				</entry>
			</map>
		</property>
		
		<property name="propVariable">
			<props>
				<prop key="a">4</prop>
				<prop key="b">properties</prop>
			</props>
		</property>
	</bean>

	<bean id="amount" class="com.collection.Amount">
		<property name="bill">
			<value>56.9</value>
		</property>
	</bean>

</beans>

<!--
This is the main change. For each of the collection variables, the way in which
the value is injected in the configuration metadata has a syntax change.

Injection of any variable of any kind viz., primitive data type, reference to another bean,
inner bean can be done for the above Collections as shown

The first example shown, a stringListVariable is simply to state the means by which multiple
values of a simple Data type can be injected into the list. The other variables take values
of type Object. Hence, first an Integer, then a String is inserted.
The third one is to show how a reference to another bean can be inserted as a value to the
list/set/map. The fourth one shows how an inner bean can be defined and the value inserted
to the list/set/map. Note here that, while defining an inner bean, there is no need to
mention the beanId as it has limited scope to only the outer bean which defines it.
-->